Add an employment history entry to an applicant

Adds a new employment history entry to this applicant. If provided: - `compensationTypeId` must be a value from `GET /api/v1/lookup/pay-types` - `locationStateId` must be a value from `GET /api/v1/lookup/states`

Authentication

X-Brightmove-Company-ApiKeystring
BrightMove Company Api Key
X-Brightmove-User-ApiKeystring
BrightMove User Api Key

Path parameters

guidstringRequired
Stable public identifier of the applicant

Request

This endpoint expects an object.
organizationNamestringRequired

Name of the employer/organization.

titlestringOptional
Job title held.
descriptionstringOptional
Description of the role.
startDatestringOptional

Start date, in ISO-8601 format.

endDatestringOptional

End date, in ISO-8601 format. Omit or leave null when currentEmployer is true.

currentEmployerbooleanOptional
When true, this is the applicant's current employer.
compensationdoubleOptional
Compensation amount at this employer.
additionalCompensationdoubleOptional

Additional compensation (bonus, commission, etc.), if any.

compensationTypeIdlongOptional

Rate type for compensation. Use GET /api/v1/lookup/pay-types to retrieve valid IDs.

compensationNotesstringOptional
Notes about compensation.
reasonForLeavingstringOptional
Reason for leaving this employer.
locationCitystringOptional

City where this employer is/was located.

locationStateIdlongOptional

State id where this employer is/was located. Use GET /api/v1/lookup/states to retrieve valid IDs.

locationRegionstringOptional

Region/province, for non-US locations.

Response

Employment history entry added